{
	"columns": [
		{
			"headerBackColor": -2,
			"width": 26,
			"lineBackColor": -2,
			"field": "sor_row_number",
			"lineForeColor": -2,
			"name": "Rivi",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 27,
			"lineBackColor": -2,
			"field": "sor_partial_delivery_number",
			"lineForeColor": -2,
			"name": "Erä",
			"headerForeColor": -2
		},
		{
			"field": "sor_product_id",
			"width": 133,
			"name": "Tuote",
			"enterable": 1
		},
		{
			"width": 36,
			"enterable": 1,
			"field": "sor_packet__length",
			"name": "Pit.",
			"format": "### ##0,0"
		},
		{
			"width": 19,
			"enterable": 1,
			"field": "sor_units__x_packet",
			"name": "x",
			"format": "### ##0"
		},
		{
			"width": 19,
			"enterable": 1,
			"field": "sor_units__y_packet",
			"name": "y",
			"format": "### ##0"
		},
		{
			"width": 45,
			"enterable": 1,
			"field": "sor_units__packet",
			"name": "Kpl/pak.",
			"footerValue": "==Sum"
		},
		{
			"width": 43,
			"enterable": 1,
			"field": "sor_number_of_packets",
			"name": "Pak.lkm",
			"format": "### ###"
		},
		{
			"width": 38,
			"enterable": 1,
			"field": "sor_ordered_amount",
			"name": "Tilattu",
			"format": "### ### ##0"
		},
		{
			"field": "sor_unit",
			"width": 23,
			"name": "yks",
			"enterable": 1
		},
		{
			"field": "sor_order_amount_2",
			"width": 44,
			"name": "akt. m3",
			"enterable": 1
		},
		{
			"field": "sor_volume",
			"width": 46,
			"name": "nom. m3",
			"enterable": 1
		},
		{
			"field": "sor_price__unit",
			"width": 45,
			"name": "á hinta",
			"enterable": 1
		},
		{
			"width": 45,
			"enterable": 1,
			"field": "sor_price__unit_2",
			"name": "á/A.m3",
			"footerValue": "==Sum"
		},
		{
			"width": 45,
			"enterable": 1,
			"field": "sor_unit_price__volume",
			"name": "á/N.m3",
			"footerValue": "==Sum"
		},
		{
			"width": 65,
			"enterable": 1,
			"field": "sor_delivered_date",
			"name": "Toim. pv",
			"format": "&4"
		},
		{
			"width": 50,
			"enterable": 1,
			"field": "sor_delivered_quantity",
			"name": "Toimitettu",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_production_lot",
			"width": 62,
			"name": "Valmistuserä",
			"enterable": 1
		},
		{
			"field": "sor_explanation",
			"width": 200,
			"name": "Selitys",
			"enterable": 1
		}
	],
	"options": {
		"manyField": "sor_kSales_Order_id",
		"gridName": "3. Puuala",
		"type": "Input",
		"footerHeight": 1,
		"oneField": "so_kSales_Order_ID",
		"enterable": 1
	}
}